﻿using Infragistics.Themes;

namespace ExtendTheme.Themes
{
    public class RoyalExtendedTheme : RoyalDarkTheme
    {
        protected override void ConfigureControlMappings()
        {
            // Pre-set the mappings for all controls via a call
            // to the base implementation of the ConfigureControlMappings method
            base.ConfigureControlMappings();
            var assemblyFullName = typeof(RoyalExtendedTheme).Assembly.FullName;

            // Override mappings of controls

            Mappings[ControlMappingKeys.XamDataGrid] =
                ThemeBase.BuildLocationString(assemblyFullName, @"/Themes/RoyalExtendedTheme.Colors.xaml");            
        }
    }
}
